#ifndef __MACROLIST_H
#define __MACROLIST_H

#if 0

#ifndef __GLIST_H
#include "glist.h"
#endif

#ifndef __MACRO_H
#include "macro.h"
#endif

declare( List, Macro );

#define MacroList genericMacroList
#define MacroListIterator genericMacroListIterator

/****************************************************************************
  class MacroList
--*/

struct MacroList : public genericMacroList 
{
//    static MacroList& getMacroList( istream& is );
    MacroList();
    MacroList( istream& is );
    ~MacroList();
};

inline MacroList::MacroList() :
    genericMacroList()
{
}

inline MacroList::~MacroList()
{
}
//-- class MacroList //

#else

#ifndef __GRLIST_H
#include "grlist.h"
#endif

declare( ReadableList, Macro );

#ifndef MacroList
#define MacroList GENERIC( Macro, READABLE( List ) )
#define MacroListIterator GENERIC( Macro, READABLE( ListIterator ) )
#endif

#endif

#endif //__MACROLIST_H //
